
@ECHO OFF
REM * The above line stops echoing of these commands to display.

CLS

ECHO Program loader for a normal phone line without distinctive ring
ECHO service options added. For use with Call Router v1.6
ECHO.
ECHO In this example batch file, Call Router will wait for an
ECHO incoming call. If the number of rings specified by the 'rings'
ECHO argument is reached, Call Router exits setting errorlevel to 3.
ECHO If Call Router detects a call and the caller hangs up before
ECHO two rings a timeout condition exists and errorlevel 2 is set.
ECHO.
ECHO This timeout condition can be used to start a host program so the
ECHO caller can 'ring back' and get a data connection.
ECHO.
ECHO This file may be copied and edited as long as it distributed in
ECHO its original form.
ECHO.
ECHO Consult documentation for more details.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
PAUSE


REM * Reminder to enter COM port at DOS prompt.
IF %1.==. GOTO Usage

:Start
REM * Start Call Router
REM * Use comport entered at DOS prompt, program will timeout
REM * setting errorlevel 2 if one complete ring is not detected.
REM * The end of a ring is marked by the start of the next ring.
REM * Since caller will hang up before ring 2, this will cause
REM * a timeout.
CALLROUT %1 RINGS 1

REM * Test for a 2 or more ring condition, if there were, restart.
IF ERRORLEVEL 3 GOTO Start

REM * Test for a program timeout, less than 2 complete rings.
IF ERRORLEVEL 2 GOTO Your_Program

REM * Test for a fatal error.
IF ERRORLEVEL 1 GOTO Fatal

REM * Test for normal exit (ESC key pressed)
IF ERRORLEVEL 0 GOTO End

:Your_Program
ECHO.
ECHO ( The command to load your host software goes here! )
ECHO.
PAUSE
GOTO Start

:Usage
ECHO.
ECHO Please enter COM port at DOS prompt when calling this batch file!
ECHO.
GOTO End

:Fatal
echo Call Router ended with a fatal error.
goto End

:End
@ECHO ON
